The use of Vlax-invoke doesnt require you to "convert" the point coordinate to a variant 3D point. [vlax-3D-point]. so it wouldn't hurt to use it at all.
Also, on what your wanting to do, no need for vlax-curve-getparamatpoint
- (Defun c:demo (/ pline int in pt ppt mspace thepoint) (if (and (setq pline (car (entsel "\nSelect Polyline:"))) (eq (cdr (assoc 0 (entget pline))) "LWPOLYLINE") (setq int (getdist "\nEnter Interval:")) (setq in int) ) (progn (setq mspace (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object) ) ) ) (while (Setq pt (vlax-curve-getPointAtDist pline int))(setq thepoint (vlax-invoke mspace 'AddPoint pt))(setq int (+ int in)) ) ) )(princ))
But then again. why not use _measure command. |